初回インストール - アプリ再構築時のエラー

VM マシンでアプリを再構築できません。./launcher rebuild app を起動すると、このエラーメッセージが表示されます。

これは Discourse のこのマシンへの最初のインストールです。この問題を解決する方法はありますか?よろしくお願いします。

FAILED
--------------------
Pups::ExecError: cd /var/www/discourse & sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 145 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp\"", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
cccd258fa1982eed2b6c739bbddfe034ff3daa43b838b89fa1b0237b7804664b6

上にスクロールしてエラーメッセージを確認していただけますか?(または、ログをここに貼り付けていただければ確認します :slight_smile:

ログはこちらです :wink:


x86_64 アーキテクチャを検出しました。
ランチャーが最新であることを確認中
origin を取得中
ランチャーは最新です
2.0.20231218-0429: discourse/base からプル中
ダイジェスト: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
ステータス: discourse/base:2.0.20231218-0429 のイメージは最新です
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2024-02-13T15:53:16.246900 #1]  INFO -- : stdin から読み込み中
I, [2024-02-13T15:53:16.252696 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2024-02-13T15:53:16.307073 #1]  INFO -- : ロケールを生成中(時間がかかる場合があります)...
生成完了。

I, [2024-02-13T15:53:16.307607 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2024-02-13T15:53:16.312121 #1]  INFO -- : 
I, [2024-02-13T15:53:16.312587 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2024-02-13T15:53:16.315121 #1]  INFO -- : 
I, [2024-02-13T15:53:16.315619 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2024-02-13T15:53:16.323987 #1]  INFO -- : 
I, [2024-02-13T15:53:16.326378 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2024-02-13T15:53:16.328988 #1]  INFO -- : 
I, [2024-02-13T15:53:16.329854 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2024-02-13T15:53:16.332078 #1]  INFO -- : 
I, [2024-02-13T15:53:16.332521 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2024/02/13 15:53:16 socat[18] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2024-02-13T15:53:16.339840 #1]  INFO -- : 
I, [2024-02-13T15:53:16.340132 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2024-02-13T15:53:16.343461 #1]  INFO -- : 
I, [2024-02-13T15:53:16.343731 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2024-02-13T15:53:16.346843 #1]  INFO -- : 
I, [2024-02-13T15:53:16.347206 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.349608 #1]  INFO -- : 
I, [2024-02-13T15:53:16.350691 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.353506 #1]  INFO -- : 
I, [2024-02-13T15:53:16.359494 #1]  INFO -- : ファイル > /etc/service/postgres/run  chmod: +x  chown: 
I, [2024-02-13T15:53:16.365375 #1]  INFO -- : ファイル > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2024-02-13T15:53:16.372107 #1]  INFO -- : ファイル > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2024-02-13T15:53:16.377498 #1]  INFO -- : ファイル > /root/upgrade_postgres  chmod: +x  chown: 
I, [2024-02-13T15:53:16.378862 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2024-02-13T15:53:16.692303 #1]  INFO -- : 
I, [2024-02-13T15:53:16.692963 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2024-02-13T15:53:16.695477 #1]  INFO -- : 
I, [2024-02-13T15:53:16.695574 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2024-02-13T15:53:16.704179 #1]  INFO -- : 
I, [2024-02-13T15:53:16.704482 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2024-02-13T15:53:16.706831 #1]  INFO -- : 
I, [2024-02-13T15:53:16.707180 #1]  INFO -- : > /root/upgrade_postgres
I, [2024-02-13T15:53:16.711599 #1]  INFO -- : 
I, [2024-02-13T15:53:16.711931 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2024-02-13T15:53:16.713969 #1]  INFO -- : 
I, [2024-02-13T15:53:16.714387 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の data_directory = '/var/lib/postgresql/13/main' を data_directory = '/shared/postgres_data' に置換中
I, [2024-02-13T15:53:16.715157 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?listen_addresses *=.*) を listen_addresses = '*' に置換中
I, [2024-02-13T15:53:16.715649 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?synchronous_commit *=.*) を synchronous_commit = $db_synchronous_commit に置換中
I, [2024-02-13T15:53:16.716152 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?shared_buffers *=.*) を shared_buffers = $db_shared_buffers に置換中
I, [2024-02-13T15:53:16.716594 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?work_mem *=.*) を work_mem = $db_work_mem に置換中
I, [2024-02-13T15:53:16.717080 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?default_text_search_config *=.*) を default_text_search_config = '$db_default_text_search_config' に置換中
I, [2024-02-13T15:53:16.717514 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2024-02-13T15:53:16.720690 #1]  INFO -- : 
I, [2024-02-13T15:53:16.721061 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?checkpoint_segments *=.*) を checkpoint_segments = $db_checkpoint_segments に置換中
I, [2024-02-13T15:53:16.721587 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?logging_collector *=.*) を logging_collector = $db_logging_collector に置換中
I, [2024-02-13T15:53:16.722115 #1]  INFO -- : /etc/postgresql/13/main/postgresql.conf 内の (?-mix:#?log_min_duration_statement *=.*) を log_min_duration_statement = $db_log_min_duration_statement に置換中
I, [2024-02-13T15:53:16.722611 #1]  INFO -- : /etc/postgresql/13/main/pg_hba.conf 内の (?-mix:^#local +replication +postgres +peer$) を local replication postgres  peer に置換中
I, [2024-02-13T15:53:16.723120 #1]  INFO -- : /etc/postgresql/13/main/pg_hba.conf 内の (?-mix:^host.*all.*all.*127.*$) を host all all 0.0.0.0/0 md5 に置換中
I, [2024-02-13T15:53:16.723600 #1]  INFO -- : /etc/postgresql/13/main/pg_hba.conf 内の (?-mix:^host.*all.*all.*::1\/128.*$) を host all all ::/0 md5 に置換中
I, [2024-02-13T15:53:16.724000 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2024-02-13T15:53:16.725519 #1]  INFO -- : > sleep 5
2024-02-13 15:53:16.781 UTC [41] LOG:  PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1) の起動中、x86_64-pc-linux-gnu 上でコンパイル済み、gcc (Debian 10.2.1-6) 10.2.1 20210110 による、64-bit
2024-02-13 15:53:16.781 UTC [41] LOG:  IPv4 アドレス "0.0.0.0"、ポート 5432 でリスニング中
2024-02-13 15:53:16.781 UTC [41] LOG:  IPv6 アドレス "::"、ポート 5432 でリスニング中
2024-02-13 15:53:16.782 UTC [41] LOG:  Unix ソケット "/var/run/postgresql/.s.PGSQL.5432" でリスニング中
2024-02-13 15:53:16.785 UTC [44] LOG:  データベースシステムは 2024-02-13 15:48:24 UTC にシャットダウンされました
2024-02-13 15:53:16.789 UTC [41] LOG:  データベースシステムは接続を受け付ける準備が整いました
I, [2024-02-13T15:53:21.727896 #1]  INFO -- : 
I, [2024-02-13T15:53:21.728111 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2024-02-13 15:53:21.776 UTC [54] postgres@postgres ERROR:  データベース "discourse" は既に存在します
2024-02-13 15:53:21.776 UTC [54] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: エラー: データベース作成に失敗しました:ERROR:  データベース "discourse" は既に存在します
I, [2024-02-13T15:53:21.778723 #1]  INFO -- : 
I, [2024-02-13T15:53:21.779150 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2024-02-13 15:53:21.826 UTC [58] postgres@discourse ERROR:  ロール "discourse" は既に存在します
2024-02-13 15:53:21.826 UTC [58] postgres@discourse STATEMENT:  create user discourse;
ERROR:  ロール "discourse" は既に存在します
I, [2024-02-13T15:53:21.828690 #1]  INFO -- : 
I, [2024-02-13T15:53:21.829194 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2024-02-13T15:53:21.877296 #1]  INFO -- : GRANT

I, [2024-02-13T15:53:21.877827 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2024-02-13T15:53:21.923831 #1]  INFO -- : ALTER SCHEMA

I, [2024-02-13T15:53:21.924354 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  拡張機能 "hstore" は既に存在するためスキップします
I, [2024-02-13T15:53:21.973321 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:21.973764 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  拡張機能 "pg_trgm" は既に存在するためスキップします
I, [2024-02-13T15:53:22.020006 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.020399 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE:  拡張機能 "vector" は既に存在するためスキップします
I, [2024-02-13T15:53:22.066198 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.066595 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  拡張機能 "hstore" は既に存在するためスキップします
I, [2024-02-13T15:53:22.113659 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.114161 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  拡張機能 "pg_trgm" は既に存在するためスキップします
I, [2024-02-13T15:53:22.160614 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.161045 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE:  拡張機能 "vector" は既に存在するためスキップします
I, [2024-02-13T15:53:22.207237 #1]  INFO -- : CREATE EXTENSION

I, [2024-02-13T15:53:22.207679 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2024-02-13T15:53:22.209671 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2024-02-13T15:53:22.261951 #1]  INFO -- : ファイル > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2024-02-13T15:53:22.264984 #1]  INFO -- : ファイル > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2024-02-13T15:53:22.265327 #1]  INFO -- : > echo postgres installed!
I, [2024-02-13T15:53:22.267453 #1]  INFO -- : postgres がインストールされました!

I, [2024-02-13T15:53:22.272193 #1]  INFO -- : ファイル > /etc/service/redis/run  chmod: +x  chown: 
I, [2024-02-13T15:53:22.276936 #1]  INFO -- : ファイル > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2024-02-13T15:53:22.281502 #1]  INFO -- : ファイル > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2024-02-13T15:53:22.282039 #1]  INFO -- : /etc/redis/redis.conf 内の daemonize yes を空に置換中
I, [2024-02-13T15:53:22.282826 #1]  INFO -- : /etc/redis/redis.conf 内の (?-mix:^pidfile.*$) を空に置換中
I, [2024-02-13T15:53:22.283472 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2024-02-13T15:53:22.286162 #1]  INFO -- : 
I, [2024-02-13T15:53:22.286601 #1]  INFO -- : /etc/redis/redis.conf 内の (?-mix:^logfile.*$) を logfile "" に置換中
I, [2024-02-13T15:53:22.287267 #1]  INFO -- : /etc/redis/redis.conf 内の (?-mix:^bind .*$) を空に置換中
I, [2024-02-13T15:53:22.287960 #1]  INFO -- : /etc/redis/redis.conf 内の (?-mix:^dir .*$) を dir /shared/redis_data に置換中
I, [2024-02-13T15:53:22.288617 #1]  INFO -- : /etc/redis/redis.conf 内の (?-mix:^protected-mode yes) を protected-mode no に置換中
I, [2024-02-13T15:53:22.289234 #1]  INFO -- : /etc/redis/redis.conf 内の # io-threads 4 を io-threads $redis_io_threads に置換中
I, [2024-02-13T15:53:22.289926 #1]  INFO -- : > echo redis installed
I, [2024-02-13T15:53:22.292006 #1]  INFO -- : redis がインストールされました

I, [2024-02-13T15:53:22.292329 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2024-02-13T15:53:22.295949 #1]  INFO -- : logfile ""

I, [2024-02-13T15:53:22.296274 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:22.297844 #1]  INFO -- : > sleep 10
110:C 13 Feb 2024 15:53:22.304 # oO0OoO0OoO0Oo Redis 起動中 oO0OoO0OoO0Oo
110:C 13 Feb 2024 15:53:22.304 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=110, just started
110:C 13 Feb 2024 15:53:22.304 # 設定を読み込み中
110:M 13 Feb 2024 15:53:22.304 * 単調クロック: POSIX clock_gettime
110:M 13 Feb 2024 15:53:22.305 * 実行モード=standalone, ポート=6379 で稼働中。
110:M 13 Feb 2024 15:53:22.305 # サーバー初期化完了
110:M 13 Feb 2024 15:53:22.305 # 警告: メモリオーバーコミットを有効にする必要があります!無効な場合、低メモリ条件下でバックグラウンド保存またはレプリケーションが失敗する可能性があります。無効になっている場合、低メモリ条件がなくても失敗する可能性があります。詳細は https://github.com/jemalloc/jemalloc/issues/1328 を参照してください。この問題を修正するには、/etc/sysctl.conf に 'vm.overcommit_memory = 1' を追加し、再起動するか、この設定を有効にするために 'sysctl vm.overcommit_memory=1' コマンドを実行してください。
110:M 13 Feb 2024 15:53:22.306 * バージョン 7.0.7 によって生成された RDB を読み込み中
110:M 13 Feb 2024 15:53:22.306 * RDB の年齢 298 秒
110:M 13 Feb 2024 15:53:22.306 * 作成時の RDB メモリ使用量 0.82 Mb
110:M 13 Feb 2024 15:53:22.306 * RDB の読み込み完了、読み込まれたキー: 0, 期限切れのキー: 0。
110:M 13 Feb 2024 15:53:22.306 * ディスクからの DB 読み込み完了: 0.000 秒
110:M 13 Feb 2024 15:53:22.306 * 接続を受け付ける準備が整いました
I, [2024-02-13T15:53:32.300210 #1]  INFO -- : 
I, [2024-02-13T15:53:32.300803 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2024-02-13T15:53:32.304805 #1]  INFO -- : thpoff がインストールされました!

I, [2024-02-13T15:53:32.304942 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2024-02-13T15:53:32.368184 #1]  INFO -- : 
I, [2024-02-13T15:53:32.368695 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2024-02-13T15:53:32.434552 #1]  INFO -- : 
I, [2024-02-13T15:53:32.434724 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2024-02-13T15:53:32.498595 #1]  INFO -- : 
I, [2024-02-13T15:53:32.499227 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2024-02-13T15:53:32.501910 #1]  INFO -- : 
I, [2024-02-13T15:53:32.505124 #1]  INFO -- : ファイル > /etc/cron.d/anacron  chmod:   chown: 
I, [2024-02-13T15:53:32.510067 #1]  INFO -- : ファイル > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2024-02-13T15:53:32.514952 #1]  INFO -- : ファイル > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2024-02-13T15:53:32.519761 #1]  INFO -- : ファイル > /etc/service/nginx/run  chmod: +x  chown: 
I, [2024-02-13T15:53:32.524574 #1]  INFO -- : ファイル > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2024-02-13T15:53:32.529357 #1]  INFO -- : ファイル > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2024-02-13T15:53:32.529698 #1]  INFO -- : /etc/service/unicorn/run 内の # postgres を sv start postgres || exit 1 に置換中
I, [2024-02-13T15:53:32.530197 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:32.532289 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
137:C 13 Feb 2024 15:53:32.538 # oO0OoO0OoO0Oo Redis 起動中 oO0OoO0OoO0Oo
137:C 13 Feb 2024 15:53:32.538 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=137, just started
137:C 13 Feb 2024 15:53:32.538 # 設定を読み込み中
137:M 13 Feb 2024 15:53:32.539 * 単調クロック: POSIX clock_gettime
137:M 13 Feb 2024 15:53:32.539 # 警告: サーバー TCP リスニングソケット *:6379 の作成に失敗しました:bind: Address already in use
137:M 13 Feb 2024 15:53:32.539 # ポート 6379 (TCP) でのリスニングに失敗し、中止します。
Updating files: 100% (33715/33715), done.
I, [2024-02-13T15:53:35.419705 #1]  INFO -- : HEAD は現在 6ab1a19e9 にあります DEV: min_trust_level_to_allow_invite をグループに変換 (#24893)

I, [2024-02-13T15:53:35.420216 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2024-02-13T15:53:35.560612 #1]  INFO -- : 
I, [2024-02-13T15:53:35.561174 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: 'https://github.com/discourse/discourse.git/' にアクセスできません:ホスト github.com を解決できませんでした
I, [2024-02-13T15:53:35.598327 #1]  INFO -- : 
I, [2024-02-13T15:53:35.598890 #1]  INFO -- : 非同期プロセスを終了中
I, [2024-02-13T15:53:35.599177 #1]  INFO -- : HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 41 に INT を送信中
2024-02-13 15:53:35.599 UTC [41] LOG:  高速シャットダウン要求を受信しました
I, [2024-02-13T15:53:35.599227 #1]  INFO -- : exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 110 に TERM を送信中
110:signal-handler (1707839615) SIGTERM を受信し、シャットダウンをスケジュール中...
2024-02-13 15:53:35.601 UTC [41] LOG:  実行中のトランザクションを中止中
2024-02-13 15:53:35.604 UTC [41] LOG:  バックグラウンドワーカー "logical replication launcher" (PID 50) が終了コード 1 で終了しました
2024-02-13 15:53:35.606 UTC [45] LOG:  シャットダウン中
2024-02-13 15:53:35.624 UTC [41] LOG:  データベースシステムがシャットダウンしました
110:M 13 Feb 2024 15:53:35.636 # ユーザーによるシャットダウン要求...
110:M 13 Feb 2024 15:53:35.636 * 終了前に最終 RDB スナップショットを保存中
110:M 13 Feb 2024 15:53:35.637 * DB をディスクに保存しました
110:M 13 Feb 2024 15:53:35.637 # Redis は今、終了の準備が整いました、さようなら...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' が #<Process::Status: pid 145 exit 128> の戻り値で失敗しました
失敗場所: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
以下のパラメータで exec が失敗しました:{"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap が終了コード 128 で失敗しました
** BOOTSTRAP に失敗しました ** 上記にスクロールして、以前のエラーメッセージを確認してください。複数のエラーが存在する可能性があります。
./discourse-doctor で問題を診断できるかもしれません。
ccd258fa1982eed2b6c739bbddfe034ff3daa43b838b89fa1b0237b7804664b6

これです。DNSの問題があります。標準的なインストールですか?インターネットへのアクセスは十分にありますか?

これは標準的なインストールです。VIP discourse-xxx-xxx@xxx.fr を定義し、それを DNS として使用しています。

インターネットへのアクセスを確認しますが、以前の discourse のイメージは問題なくダウンロードされていました… これを確認して、お知らせします。

VIP を使用するにあたって何か推奨事項があれば、遠慮なく教えてください。

Docker 内から dig github.com @<IPアドレス> を実行できますか?

サーバーが中国にある場合や、ファイアウォールでアクセスが制限されている場所にある場合、さまざまなインターネットサービスへのアクセスが不安定になる可能性があります。

中国ではなくフランスです。ファイアウォールによるアクセスまたはインターネットリクエストの制限があると思います。解決します。ありがとうございます。

問題は解決しました。プロキシ構成のエラーでした。